Bug 534862 - (RHQ-1617) Specifying invalid file in new package upload somehow succeeds
Specifying invalid file in new package upload somehow succeeds
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
1.2
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_spearhead
  Show dependency treegraph
 
Reported: 2009-02-20 08:46 EST by Jeff Weiss
Modified: 2014-11-09 17:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
rev3078, linux/postgres, browser is linux/FF3
Last Closed: 2010-12-23 09:23:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2009-02-20 08:46:00 EST
Upload a new package for a JBAS instance.  click Upload File, Add.  The native file-open dialog comes up.  Type "sdfsdf" in the "Location" bar (this may vary by OS and gnome/kde, but most dialogs let you type a filename).

Hit enter. Click Upload.  The Upload succeeds.  It should fail, saying "File not found" or something like that.  You can actually finish the package details and channel parts of the form and complete the upload, which succeds also.

This entry is in the server log:

2009-02-20 08:28:36,745 INFO  [org.rhq.enterprise.gui.common.upload.FileUploadUIBean] A file named [sdfsdf] with a size of [0] has been uploaded to [/tmp/-67a5eed1-11f93bf2dfa--5dd15868072924885819594.upload]
Comment 1 John Mazzitelli 2009-02-20 09:08:57 EST
HA - gotta love the RF components.
Comment 2 Red Hat Bugzilla 2009-11-10 15:36:49 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1617
Comment 3 wes hayutin 2010-02-16 11:58:58 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 4 wes hayutin 2010-02-16 12:03:42 EST
making sure we're not missing any bugs in rhq_triage
Comment 5 Corey Welton 2010-12-23 09:23:46 EST
Closing per gwt effort

Note You need to log in before you can comment on or make changes to this bug.